#!/system/bin/sh

setprop media.stagefright.enable-player false
setprop media.stagefright.enable-meta false
setprop media.stagefright.enable-scan false
setprop media.stagefright.enable-http false
setprop dalvik.vm.checkjni false
setprop persist.sys.flashplayer.1080 true

# setprop for disp_channel
setprop ro.sf.display_channel "1"

#set chip type and memory size for different version
setprop chip.type "hi3716c"
setprop total.memory "1024"

#enable 3DTV
#setprop ro.fb.3DEnable    1

#flash player install
#setprop ro.product.cpu.abi2 armeabi-v7a

insmod /system/lib/modules/hi_media.ko

#DDR 1GB
/system/busybox/sbin/insmod /system/lib/modules/hi_mmz.ko mmz=vdec,0,0xADF00000,149M:jpeg,0,0xB7400000,12M:ddr,0,0xB8000000,32M


/system/busybox/sbin/insmod /system/lib/modules/hi_common.ko LogBufSize=0x80000
# for system standby
insmod /system/lib/modules/hi_c51.ko

### skyworth+
insmod /system/lib/modules/hi_keypad.ko
#insmod pt6311 vfd
mknod /dev/pt6311_char c 249 0
insmod /system/lib/modules/pt6311_keyboard.ko

insmod /system/lib/modules/hi_dmac.ko
insmod /system/lib/modules/tde.ko
insmod /system/lib/modules/hi_gpio.ko
insmod /system/lib/modules/hi_ndpt.ko
insmod /system/lib/modules/hi_mpi.ko
/system/busybox/sbin/insmod /system/lib/modules/hifb.ko video="hifb:vram0_size:0, vram2_size:8000"

# jpeg not stable, use software mode
insmod /system/lib/modules/jpeg.ko
insmod /system/lib/modules/png.ko

insmod /system/lib/modules/hi_svdec.ko
insmod /system/lib/modules/hi_otp.ko
insmod /system/lib/modules/ufsd.ko
/system/busybox/sbin/insmod /system/lib/modules/hi_gpioi2c.ko gpioidclock=11 clockbit=3 gpioiddata=12 databit=5 i2cmode=2
insmod /system/lib/modules/hi_i2c.ko
#insmod /system/lib/modules/alsa_sio.ko
insmod /system/lib/modules/hi_tuner.ko

### skyworth+
insmod /system/lib/modules/hi_cipher.ko
insmod /system/lib/modules/hi_sethdcp.ko
insmod /system/lib/modules/hi_sci.ko

#insmod /system/lib/modules/v4l2_video.ko video_nr=16 do_convert=0
chmod 666 /dev/video16

chmod 777 /dev/video0

chmod 666 /dev/png
chmod 666 /dev/jpeg
chmod 777 /data/app
chmod 777 /dev/hi_tde
chmod 777 /dev/hi_otp

busybox mknod /dev/galcore c 199 0

#DDR 1GB
/system/busybox/sbin/insmod /system/lib/modules/galcore.ko registerMemBase=0x60180000 irqLine=69 contiguousBase=0xBA000000 contiguousSize=0x6000000 baseAddress=0x80000000

chmod 777 /dev/hi_*
chmod 777 /dev/mmz_userdev
chmod 777 /dev/mem
busybox chmod 777 -R /dev/*
busybox chmod 772 -R /dev/log/*

echo 10240 >> /proc/sys/vm/min_free_kbytes
ln -s /dev/mtd/mtd4 /dev/mtd4

#chmod 777 /system/bin/ms
#/system/bin/ms &
insmod /system/lib/modules/hi_vinput.ko
chmod 777 /dev/vinput
#MUAPControlCenter&
#vinput_thread&

# configuration for html5 video
# true: default fullscreen; false: default inline video
setprop html5.video.fullscreen true

#for front keyboad dirver, ,defalut for 6964 in mv300 deomon
#insmod /system/lib/modules/hi_keyled.ko
#sample_keyled 3 &

############# sample test ###############
#source /system/etc/sample_insmod.sh

### skyworth setting
busybox chmod -R 777 /data/skyworth
busybox chmod -R 777 /data/system

source /system/etc/init_stbprop.sh

#insmod /system/lib/modules/hi_keypad.ko
insmod /system/lib/modules/hi_ir.ko key_hold_timeout=150 symbol_width=6000
ir_user -R 10 &

insmod /system/lib/modules/jpge.ko
chmod 777 /dev/jpge
busybox chmod +r /dev/graphics/fb2

#OSCAM
mount tmpfs tmpfs /tmp mod=0777
mkdir /var/log 0777 system system
mkdir /var/log/oscam 0777 system system
chmod -R 777 /data/oscam
chmod -R 777 /data/oscam/log
chmod 777 /system/bin/oscam
/system/bin/oscam -c /data/oscam -t /var/log/oscam